org.faceless.pdf2.viewer2.feature

## Class TextExporter

- java.lang.Object
- - org.faceless.pdf2.viewer2.ViewerFeature
  - - org.faceless.pdf2.viewer2.Exporter
    - - org.faceless.pdf2.viewer2.feature.TextExporter

-     public class TextExporter
      extends Exporter

  A subclass of `Exporter` that handles saving a PDF as a Text file. The name of this feature is TextExporter

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.10.3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.faceless.pdf2.viewer2.Exporter

      `Exporter.ExporterTask`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextExporter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Exporter.ExporterTask` | `getExporter(DocumentPanel panel, PDF pdf, JComponent c, OutputStream out)` Return a new `Exporter.ExporterTask` that would save a PDF
    `FileFilter` | `getFileFilter()` Get a FileFilter that matches the Files output by this Exporter
    `String` | `getFileSuffix()` Return the suffix of files normally output by this Exporter, such as "pdf", "tif", "jpg" etc.
    `boolean` | `isEnabled(DocumentPanel docpanel)` Return true if this Exporter should be available for this DocumentPanel.

    - ### Methods inherited from class org.faceless.pdf2.viewer2.Exporter

      `completed, getComponent, getComponent, postProcessPDF, preProcessPDF, validateComponent`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerFeature

      `getAllEnabledFeatures, getAllFeatures, getCustomJavaScript, getFeatureProperty, getFeatureURLProperty, getName, initialize, isEnabledByDefault, setFeatureName, teardown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TextExporter

          public TextExporter()

  - ### Method Detail

    - #### getFileFilter

          public FileFilter getFileFilter()

      Description copied from class: `Exporter`
      Get a FileFilter that matches the Files output by this Exporter
      Specified by:
        `getFileFilter` in class `Exporter`

    - #### getFileSuffix

          public String getFileSuffix()

      Description copied from class: `Exporter`
      Return the suffix of files normally output by this Exporter, such as "pdf", "tif", "jpg" etc.
      Specified by:
        `getFileSuffix` in class `Exporter`

    - #### isEnabled

          public boolean isEnabled(DocumentPanel docpanel)

      Description copied from class: `Exporter`
      Return true if this Exporter should be available for this DocumentPanel. The default implementation always returns true.
      Overrides:
        `isEnabled` in class `Exporter`

    - #### getExporter

          public Exporter.ExporterTask getExporter(DocumentPanel panel,
                                                   PDF pdf,
                                                   JComponent c,
                                                   OutputStream out)

      Description copied from class: `Exporter`
      Return a new `Exporter.ExporterTask` that would save a PDF
      Specified by:
        `getExporter` in class `Exporter`
      Parameters:
        `panel` - the DocumentPanel this PDF is being saved from - may be null
        `pdf` - the PDF being saves (not null)
        `c` - the JComponent returned by `Exporter.getComponent(org.faceless.pdf2.viewer2.DocumentPanel, java.io.File)`
        `out` - the OutputStream to write the PDF to

Copyright © 2001-2015 Big Faceless Organization